# typed: strict
# frozen_string_literal: true

module Setsuzoku
  # The generic API response object that all API responses should return.
  class ApiResponse < T::Struct
    prop :data, T.nilable(T.untyped), default: {}
    prop :success, T::Boolean, default: false
    prop :error, T.nilable(String), default: nil
  end
end