
# typed: false
# frozen_string_literal: true

module Setsuzoku
  module Service
    module WebService
      module ApiStrategies
        class RestAPIRequest < T::Struct
          prop :action, Symbol, default: nil
          prop :body, T::Hash[T.untyped, T.untyped], default: {}
          prop :without_headers, T::Boolean, default: false
        end
      end
    end
  end
end
